Bug 254862 - security/clamav: Update to 0.103.2
Summary: security/clamav: Update to 0.103.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Neel Chauhan
URL: https://blog.clamav.net/2021/04/clama...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-07 19:42 UTC by Yasuhiro Kimura
Modified: 2021-04-09 18:10 UTC (History)
1 user (show)

See Also:
yasu: merge-quarterly?


Attachments
Patch file (4.75 KB, patch)
2021-04-07 19:42 UTC, Yasuhiro Kimura
yasu: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2021-04-07 19:42:57 UTC
Created attachment 223905 [details]
Patch file

* Update to 0.103.2, which fixes multiple vulnerabilities.
* Sort pkg-plist.
    
Release Note: https://blog.clamav.net/2021/04/clamav-01032-security-patch-release.html
Security: 9ae2c00f-97d0-11eb-8cd6-080027f515ea
    
Bug #254861 describes vulnerabilities fixed with this release. So please commit it together.
Comment 1 commit-hook freebsd_committer 2021-04-08 04:38:17 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e01c3f0b80b378d8e5e2c9ec9c544c291c300556

commit e01c3f0b80b378d8e5e2c9ec9c544c291c300556
Author:     Neel Chauhan <nc@FreeBSD.org>
AuthorDate: 2021-04-08 04:37:17 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-04-08 04:37:17 +0000

    security/clamav: Update to 0.103.2

    Changes: https://blog.clamav.net/2021/04/clamav-01032-security-patch-release.html

    PR:             254862
    Submitted by:   Yasuhiro Kimura <yasu AT utahime DOT org> (maintainer)

 security/clamav/Makefile  |  2 +-
 security/clamav/distinfo  |  6 +++---
 security/clamav/pkg-plist | 47 ++++++++++++++++++++++++-----------------------
 3 files changed, 28 insertions(+), 27 deletions(-)
Comment 2 Neel Chauhan freebsd_committer 2021-04-08 04:38:42 UTC
Committed!
Comment 3 Yasuhiro Kimura 2021-04-08 04:49:18 UTC
(In reply to Neel Chauhan from comment #2)

Thanks for committing. Since this is security update, please merge it to 2021Q2 branch.
Comment 4 Yasuhiro Kimura 2021-04-09 17:56:40 UTC
Not merged to quarterly branch yet.
Comment 5 Neel Chauhan freebsd_committer 2021-04-09 18:10:17 UTC
Cherry picked/MFH'd!
Comment 6 commit-hook freebsd_committer 2021-04-09 18:10:44 UTC
A commit in branch 2021Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e8fd18d19d59629e79759b063cb97f4f310b8a02

commit e8fd18d19d59629e79759b063cb97f4f310b8a02
Author:     Neel Chauhan <nc@FreeBSD.org>
AuthorDate: 2021-04-08 04:37:17 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-04-09 18:09:51 +0000

    security/clamav: Update to 0.103.2

    Changes: https://blog.clamav.net/2021/04/clamav-01032-security-patch-release.html

    PR:             254862
    Submitted by:   Yasuhiro Kimura <yasu AT utahime DOT org> (maintainer)

    (cherry picked from commit e01c3f0b80b378d8e5e2c9ec9c544c291c300556)

 security/clamav/Makefile  |  2 +-
 security/clamav/distinfo  |  6 +++---
 security/clamav/pkg-plist | 47 ++++++++++++++++++++++++-----------------------
 3 files changed, 28 insertions(+), 27 deletions(-)